'
' Standard ACP Weather Safety script. Please see ACP Help, Customizing ACP, 
' Adding to ACP's Logic, Weather Safety Script. If you have a real dome Or
' if the scope can clear your roll-off roof under all conditions, then 
' you can adjust this so that the dome/roof closes right away
'
Sub Main()
    Dim FMX
    Dim SUP
    Dim PWAF
    
    Console.PrintLine "Weather Safety Script"
    On Error Resume Next  ' Call both of these "best efforts" (scope may not be connected, etc.)

    Set SUP = CreateObject("ACP.AcquireSupport")

    If SUP.UsePlaneWaveAutoFocus Then
        Console.PrintLine "Halting PWI AutoFocus (if needed)"
        Set PWAF = CreateObject("PlaneWave.AutoFocus")
        PWAF.StopAutofocus
    Else
        Console.PrintLine "Halting FocusMax (if needed)"
        Set FMX = CreateObject("FocusMax.FocusControl")
        FMX.Halt
    End If

    Util.WaitForMilliseconds 1000

    Console.PrintLine "Parking telescope"
    Telescope.Park
    Console.PrintLine "Script complete"
End Sub

